Blueprints

List Blueprints

get

Retrieves a paginated list of blueprints.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[name]stringOptional

Filter results by name.

filter[labelled]stringOptional

Filter results by label id.

filter[,]stringOptional

Filter results by ,.

filter[intval]stringOptional

Filter results by intval.

filter[labelTemplates]stringOptional

Filter results by labelTemplates.

filter[label_templates.id]stringOptional

Filter results by label_templates.id.

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at, updated_at, name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints

No content

Create Blueprint

post

Creates a new blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Responses
chevron-right
200

Successful response

No content

post
/api/v1/patchworks/blueprints

No content

Get Blueprint

get

Retrieves the details of a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[labelled]stringOptional

Filter results by label id.

filter[,]stringOptional

Filter results by ,.

filter[intval]stringOptional

Filter results by intval.

filter[labelTemplates]stringOptional

Filter results by labelTemplates.

filter[label_templates.id]stringOptional

Filter results by label_templates.id.

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at, updated_at, name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}

No content

Update Blueprint

put

Updates an existing blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

put
/api/v1/patchworks/blueprints/{blueprint}

No content

Delete Blueprint

delete

Permanently deletes a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

delete
/api/v1/patchworks/blueprints/{blueprint}

No content

Get Unpublished

get

Retrieves blueprints that have not yet been published.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/unpublished

No content

Get Post Install Options

get

Retrieves the available post-install action options for blueprints.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/post-install-options

No content

Install Blueprint

post

Installs the active version of a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Body
flow_template_idsstringOptional
instancesstringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/blueprints/{blueprint}/install

Install Blueprint Version

post

Installs a specific version of a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

versionstringRequired

The version identifier.

Body
flow_template_idsstringOptional
instancesstringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/blueprints/{blueprint}/versions/{version}/install

Install Blueprint

get

To be confirmed.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/install

No content

List Blueprint Installs

get

Retrieves a paginated list of installs for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/installs

No content

List Blueprint Bulk Installs

get

Retrieves a paginated list of bulk install batches for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/installs/bulk

No content

Create Blueprint Bulk Install

post

Creates a new bulk install batch for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

post
/api/v1/patchworks/blueprints/{blueprint}/installs/bulk

No content

Get Blueprint Bulk Install Batch

get

Retrieves the details of a specific bulk install batch.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

batchstringRequired

The batch identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}

No content

Cancel Blueprint Install Bulk

post

Cancels a specific in-progress bulk install batch.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

batchstringRequired

The batch identifier.

Responses
chevron-right
200

Successful response

No content

post
/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/cancel

No content

List Blueprint Bulk Install Batch Items

get

Retrieves a paginated list of items for a specific bulk install batch.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

batchstringRequired

The batch identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items

No content

Get Blueprint Bulk Install Batch Item

get

Retrieves the details of a specific bulk install batch item.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

batchstringRequired

The batch identifier.

itemstringRequired

The item identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items/{item}

No content

List Blueprint Versions

get

Retrieves a paginated list of versions for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/versions

No content

Get Active Blueprint Version

get

Retrieves the currently active version of a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/versions/active

No content

Get Blueprint Version

get

Retrieves the details of a specific blueprint version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

No content

get
/api/v1/patchworks/blueprints/{blueprint}/versions/{version}

No content

Delete Blueprint Version

delete

Permanently deletes a specific blueprint version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

No content

delete
/api/v1/patchworks/blueprints/{blueprint}/versions/{version}

No content

Activate Blueprint Version

post

Sets a specific blueprint version as the active version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

versionstringRequired

The version identifier.

Responses
chevron-right
200

Successful response

No content

post
/api/v1/patchworks/blueprints/{blueprint}/versions/{version}/activate

No content

Get Blueprint Draft

get

Retrieves the draft manifest for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/blueprints/{blueprint}/draft

Create Blueprint Draft

post

Creates a new draft manifest for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

application/json
post
/api/v1/blueprints/{blueprint}/draft

Delete Blueprint Draft

delete

Permanently deletes the draft manifest for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/blueprints/{blueprint}/draft

Update Blueprint Draft

patch

Updates the draft manifest for a specific blueprint.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

application/json
patch
/api/v1/blueprints/{blueprint}/draft

Check Blueprint Draft

get

To be confirmed.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
get
/api/v1/blueprints/{blueprint}/draft/check

Publish Blueprint Draft

post

Publishes the draft manifest for a specific blueprint, creating a new version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/blueprints/{blueprint}/draft/publish

Reset Blueprint Draft

post

Resets the draft manifest for a specific blueprint to match the current active version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
blueprintstringRequired

The blueprint identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/blueprints/{blueprint}/draft/reset

Last updated

Was this helpful?